List Facebook Pages to select
GET
/projects/{id}/connections/facebook/pending/{selectionId}
const url = 'https://api.warmup.social/projects/00000000-0000-0000-0000-000000000000/connections/facebook/pending/selection-id';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.warmup.social/projects/00000000-0000-0000-0000-000000000000/connections/facebook/pending/selection-id \ --header 'Authorization: Bearer <token>'selectionId arrives in the dashboard URL as ?select= after signing in to Facebook when the account has several Pages. The selection expires after a short time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Example
00000000-0000-0000-0000-000000000000Project UUID.
selectionId
required
string
Example
selection-idPage selection id from the ?select= dashboard URL.
Responses
Section titled “Responses”Pages available to connect.
Media typeapplication/json
object
selectionId
required
string
pages
required
Array<object>
object
id
required
string
name
required
string
username
required
string
pictureUrl
required
string
enabled
required
boolean
disabledReason
required
string
Example generated
{ "selectionId": "example", "pages": [ { "id": "example", "name": "example", "username": "example", "pictureUrl": "example", "enabled": true, "disabledReason": "example" } ]}Invalid request.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}The Bearer token is missing or invalid.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}The requested resource was not found.
Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
Array<string>
object
key
additional properties
any
error
string
key
additional properties
any
Example
{ "statusCode": 400, "message": "Invalid request", "error": "Bad Request"}